[package]
name = "text"
version = "0.1.0"
edition = "2024"

[dependencies]
thiserror = { workspace = true }
anyhow = { workspace = true }
tracing = { workspace = true }
glam = { workspace = true }
derive_more = { workspace = true }
ahash = { workspace = true }
parking_lot = { workspace = true }


bevy_ecs = { workspace = true }
bevy_asset = { workspace = true }
bevy_reflect = { workspace = true }
bevy_utils = { workspace = true }

cosmic-text = "0.12.1"
sys-locale = "0.3.2"
guillotiere = "0.6.2"

renderer = {path = "../renderer"}

[dev-dependencies]
tracing-test = "0.2.5"
image = "0.25.5"